# sf::NonCopyable Struct Reference

Utility base class to easily declare non-copyable classes. More...

`#include <NonCopyable.hpp>`

Inheritance diagram for sf::NonCopyable:

List of all members.

## Protected Member Functions

| NonCopyable ()
| The default constructor won't be generated, so provide it.

## Detailed Description

Utility base class to easily declare non-copyable classes.

Just inherit from NonCopyable to get a non-copyable class

Definition at line 40 of file NonCopyable.hpp.

## Constructor & Destructor Documentation

sf::NonCopyable::NonCopyable | ( |  | ) | `[inline, protected]`

The default constructor won't be generated, so provide it.

Definition at line 48 of file NonCopyable.hpp.

The documentation for this struct was generated from the following file:

- NonCopyable.hpp